### Class

# Msg DriveService

#### Description

    final class Msg.DriveService : Msg.Service
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- MsgService
- GObject

#### Constructors

###### msg_drive_service_new

Creates a new `MsgDriveService` using `MsgAuthorizer`.

#### Instance methods

###### msg_drive_service_add_item_to_folder

Adds item to parent folder.

###### msg_drive_service_copy_file

Copy a file async on remote server to a new directory.

###### msg_drive_service_create_folder

Creates a new folder called name under parent.

###### msg_drive_service_delete

Deletes item.

###### msg_drive_service_download_item

Download item.

###### msg_drive_service_download_url

Download url.

###### msg_drive_service_get_drives

Queries the Microsoft Graph API for all the drives of the currently logged in user.

###### msg_drive_service_get_root

Get root item of selected drive.

###### msg_drive_service_get_shared_with_me

Requests all shared with me items.

###### msg_drive_service_list_children

Get a list of all files in folder item.

###### msg_drive_service_move_file

Move a file async on remote server to a new directory.

###### msg_drive_service_rename

Sets a new drive item name.

###### msg_drive_service_update

Creates an update stream for drive item in order to update it’s content.

###### msg_drive_service_update_finish

Finish a update session of given #item.

##### Methods inherited from MsgService (7)

###### msg_service_build_message

Construct and checks a `SoupMessage` for transfer.

###### msg_service_get_authorizer

Get related authorizer.

###### msg_service_get_session

Get related soup session.

###### msg_service_refresh_authorization

No description available.

###### msg_service_send

Adds authorizer information to `message` and send it.

###### msg_service_send_and_parse_response

A combination of `msg_service_send_and_read` and `msg_service_parse_response`.

###### msg_service_send_and_read

Adds authorizer information to `message` and send it.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from MsgService (1)

###### Msg.Service:authorizer

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgDriveServiceClass {
      MsgServiceClass parent_class;

    }

No description available.

###### Class members

`parent_class: MsgServiceClass`

  No description available.